Bug 1479805 - Unable to provision against vmware with "multiple parents found" error
Unable to provision against vmware with "multiple parents found" error
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.7.0
All All
unspecified Severity high
: GA
: 5.8.2
Assigned To: Adam Grare
Alex Newman
: ZStream
: 1485278 1511180 (view as bug list)
Depends On: 1475405
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 08:30 EDT by Satoe Imaishi
Modified: 2017-11-15 14:16 EST (History)
12 users (show)

See Also:
Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1475405
Environment:
Last Closed: 2017-10-23 20:37:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: VMware


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 00:15:49 EDT

  None (edit)
Comment 2 CFME Bot 2017-08-09 08:41:07 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/a3860b7fed9416486dd6a0588b8126eed56d9575

commit a3860b7fed9416486dd6a0588b8126eed56d9575
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Mon Jul 31 11:34:27 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 9 08:33:02 2017 -0400

    Merge pull request #15692 from agrare/fix_sporadic_metadata_relats_failure
    
    Matching on array order is failing sporadically
    (cherry picked from commit 81debfd3f5ed525d960643da702f1f5e57020a57)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479805

 spec/models/ems_refresh/metadata_relats_spec.rb | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)
Comment 3 CFME Bot 2017-08-09 08:41:12 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/4e0ccf48f4b0771f02d560cf7bc4e68943ec9283

commit 4e0ccf48f4b0771f02d560cf7bc4e68943ec9283
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Thu Jul 27 17:44:29 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 9 08:31:09 2017 -0400

    Merge pull request #15671 from agrare/bz_1475405_multiple_parents_found
    
    Return VMs and Templates for EMS prev_relats
    (cherry picked from commit 3c599e9431c10e8073874b9093f0e6c005f13993)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479805

 app/models/ems_refresh/metadata_relats.rb       | 13 ++++++-
 spec/models/ems_refresh/metadata_relats_spec.rb | 51 +++++++++++++++----------
 2 files changed, 41 insertions(+), 23 deletions(-)
Comment 4 Chen 2017-08-31 22:19:05 EDT
Hi team,

IHAC who is hitting this issue and they can not provision the VMs.

Is there any workaround or is it possible to provide him a hotfix ?

Best Regards,
Chen
Comment 6 Chen 2017-08-31 23:05:47 EDT
Hi Adam,

Thank you very much for your suggestion.

I will ask the customer to try the workaround.

Best Regards,
Chen
Comment 13 errata-xmlrpc 2017-10-23 20:37:35 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005
Comment 14 Josh Carter 2017-11-13 16:46:19 EST
*** Bug 1511180 has been marked as a duplicate of this bug. ***
Comment 15 Adam Grare 2017-11-15 14:16:18 EST
*** Bug 1485278 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.